読者です 読者をやめる 読者になる 読者になる

Ubuntu12.04LTEにsun-java6-jdkをインストール

Ubuntu Java

Ubuntu11.10にsun-java6-jdkをインストール

と同じ手順でインストールできなかったので記載します。

sudo add-apt-repository ppa:flexiondotorg/java
sudo apt-get update
sudo apt-get install sun-java6-jdk sun-java6-plugin

でインストールすると下記のエラーがでます。

he following packages have unmet dependencies:
sun-java6-jdk:i386 : Depends: sun-java6-bin:i386 (>= 6.30-2~precise1) but it is not going to be installed
sun-java6-plugin:i386 : Depends: sun-java6-bin:i386 (>= 6.30-2~precise1) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

下記でインストールできるようです。

wget https://github.com/flexiondotorg/oab-java6/raw/0.2.1/oab-java6.sh -O oab-java6.sh
chmod +x oab-java6.sh
sudo ./oab-java6.sh
sudo apt-get update
sudo apt-get install sun-java6-jdk sun-java6-plugin